Skip to main content
`Ctrl`+`K`

# PetscViewerPythonCreate

Create a `PetscViewer` object implemented in Python.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerPythonCreate(MPI_Comm comm, const char pyname[], PetscViewer *viewer)

Collective

## Input Parameters

- comm - MPI communicator

- pyname - full dotted Python name [package].module[.{class|function}]

## Output Parameter

- viewer - the viewer

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerType`, `PETSCVIEWERPYTHON`, `PetscViewerPythonSetType()`, `PetscPythonInitialize()`, `PetscViewerPythonViewObject()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/python/pythonviewer.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages